CreateSandboxSnapshotDetails¶
- class oci.generative_ai_sandbox.models.CreateSandboxSnapshotDetails(**kwargs)¶
Bases:
objectRequest body used to create a sandbox snapshot.
Methods:
__init__(**kwargs)Initializes a new CreateSandboxSnapshotDetails object with values from keyword arguments.
Attributes:
Gets the expiration_duration of this CreateSandboxSnapshotDetails.
[Required] Gets the sandbox_id of this CreateSandboxSnapshotDetails.
- __init__(**kwargs)¶
Initializes a new CreateSandboxSnapshotDetails object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):
- Parameters
sandbox_id (str) – The value to assign to the sandbox_id property of this CreateSandboxSnapshotDetails.
expiration_duration (str) – The value to assign to the expiration_duration property of this CreateSandboxSnapshotDetails.
- property expiration_duration¶
Gets the expiration_duration of this CreateSandboxSnapshotDetails. Duration after creation before the sandbox snapshot expires, in ISO 8601 duration format. For example, P7D for 7 days or PT24H for 24 hours.
- Returns
The expiration_duration of this CreateSandboxSnapshotDetails.
- Return type
str
- property sandbox_id¶
[Required] Gets the sandbox_id of this CreateSandboxSnapshotDetails. Identifier of the sandbox to snapshot.
- Returns
The sandbox_id of this CreateSandboxSnapshotDetails.
- Return type
str